package com.qmth.jkserver.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

public class ExamStudentCountDto implements Serializable {

    private static final long serialVersionUID = 1L;
    
    private String batchId;

    private String stageId;
    
    private String batchName;
    
    private String placeCode;
    
    private String roomCode;
    
    private String placeName;
    
    private String roomName;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long absentStudentNum;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long fullStudentNum;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long realityStudentNum;
    
    /**
	 * @return the placeName
	 */
	public String getPlaceName() {
		return placeName;
	}

	/**
	 * @param placeName the placeName to set
	 */
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

	/**
	 * @return the roomName
	 */
	public String getRoomName() {
		return roomName;
	}

	/**
	 * @param roomName the roomName to set
	 */
	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

	public String getPlaceCode() {
		return placeCode;
	}

	public void setPlaceCode(String placeCode) {
		this.placeCode = placeCode;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	/**
	 * @return the batchId
	 */
	public String getBatchId() {
		return batchId;
	}

	/**
	 * @param batchId the batchId to set
	 */
	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

	/**
	 * @return the stageId
	 */
	public String getStageId() {
		return stageId;
	}

	/**
	 * @param stageId the stageId to set
	 */
	public void setStageId(String stageId) {
		this.stageId = stageId;
	}

	/**
	 * @return the absentStudentNum
	 */
	public Long getAbsentStudentNum() {
		return absentStudentNum;
	}

	/**
	 * @param absentStudentNum the absentStudentNum to set
	 */
	public void setAbsentStudentNum(Long absentStudentNum) {
		this.absentStudentNum = absentStudentNum;
	}

	/**
	 * @return the fullStudentNum
	 */
	public Long getFullStudentNum() {
		return fullStudentNum;
	}

	/**
	 * @param fullStudentNum the fullStudentNum to set
	 */
	public void setFullStudentNum(Long fullStudentNum) {
		this.fullStudentNum = fullStudentNum;
	}

	/**
	 * @return the realityStudentNum
	 */
	public Long getRealityStudentNum() {
		return realityStudentNum;
	}

	/**
	 * @param realityStudentNum the realityStudentNum to set
	 */
	public void setRealityStudentNum(Long realityStudentNum) {
		this.realityStudentNum = realityStudentNum;
	}
}
